LibreOffice LibreOffice 5.3 SDK API Reference

Variables
com::sun::star::ucb::FileSystemNotation Constant Group Referencepublished

The notational conventions used to denote file system paths on different file systems or operating systems. More...

## Variables
const long | UNKNOWN_NOTATION = 0
| No information regarding any conventions is available. More...
const long | UNIX_NOTATION = 1
| The conventions of Unix like file systems (e.g., `/dir1/dir2/file`). More...
const long | DOS_NOTATION = 2
| The conventions of DOS like file systems (e.g., `a:\dir1\dir2\file` or UNC notation like `\\host\dir1\dir2\file`). More...
const long | MAC_NOTATION = 3
| The conventions of Mac like file systems (e.g., `volume:dir1:dir2:file`). More...

## Detailed Description

The notational conventions used to denote file system paths on different file systems or operating systems.

## Variable Documentation

## ◆ DOS_NOTATION

const long DOS_NOTATION = 2

The conventions of DOS like file systems (e.g., `a:\dir1\dir2\file` or UNC notation like `\\host\dir1\dir2\file`).

## ◆ MAC_NOTATION

const long MAC_NOTATION = 3

The conventions of Mac like file systems (e.g., `volume:dir1:dir2:file`).

## ◆ UNIX_NOTATION

const long UNIX_NOTATION = 1

The conventions of Unix like file systems (e.g., `/dir1/dir2/file`).

## ◆ UNKNOWN_NOTATION

const long UNKNOWN_NOTATION = 0

No information regarding any conventions is available.